<?php

use TYPO3\CMS\Core\Utility\ExtensionManagementUtility;

use Netzmacher\Start\Backend\Extensions\Extensionmanager;

// #i0100, 180622, dwildt, 3+
if( Extensionmanager::getProperty( 'tcaPagesDisabled' )){
	return;
}

$temporaryColumns = array(
		'tx_startgreen_banner_left' => array(
				'exclude' => 0,
				'label' => 'LLL:EXT:startgreen/Configuration/TCA/Overrides/pages.xlf:tx_startgreen_banner_left',
				'config' => array(
						'type' => 'select',
						// #t1668, 171206, dwildt, 1+
						'renderType' => 'selectSingle',
						'items' => array(
								'0' => array(
										'0' => '',
										'1' => '',
								),
								'1' => array(
										'0' => 'LLL:EXT:startgreen/Configuration/TCA/Overrides/pages.xlf:tx_startgreen_banner.none',
										'1' => 'none',
								),
								'2' => array(
										'0' => 'LLL:EXT:startgreen/Configuration/TCA/Overrides/pages.xlf:tx_startgreen_banner.small',
										'1' => 'small',
								),
								'3' => array(
										'0' => 'LLL:EXT:startgreen/Configuration/TCA/Overrides/pages.xlf:tx_startgreen_banner.medium',
										'1' => 'medium',
								),
								'4' => array(
										'0' => 'LLL:EXT:startgreen/Configuration/TCA/Overrides/pages.xlf:tx_startgreen_banner.high',
										'1' => 'high',
								),
						),
				)
		),
		'tx_startgreen_banner_left_nextlevel' => array(
				'exclude' => 0,
				'label' => 'LLL:EXT:startgreen/Configuration/TCA/Overrides/pages.xlf:tx_startgreen_banner_left_nextlevel',
				'config' => array(
						'type' => 'select',
						// #t1668, 171206, dwildt, 1+
						'renderType' => 'selectSingle',
						'items' => array(
								'0' => array(
										'0' => '',
										'1' => '',
								),
								'1' => array(
										'0' => 'LLL:EXT:startgreen/Configuration/TCA/Overrides/pages.xlf:tx_startgreen_banner.none',
										'1' => 'none',
								),
								'2' => array(
										'0' => 'LLL:EXT:startgreen/Configuration/TCA/Overrides/pages.xlf:tx_startgreen_banner.small',
										'1' => 'small',
								),
								'3' => array(
										'0' => 'LLL:EXT:startgreen/Configuration/TCA/Overrides/pages.xlf:tx_startgreen_banner.medium',
										'1' => 'medium',
								),
								'4' => array(
										'0' => 'LLL:EXT:startgreen/Configuration/TCA/Overrides/pages.xlf:tx_startgreen_banner.high',
										'1' => 'high',
								),
						),
				)
		),
		'tx_startgreen_banner_right' => array(
				'exclude' => 0,
				'label' => 'LLL:EXT:startgreen/Configuration/TCA/Overrides/pages.xlf:tx_startgreen_banner_right',
				'config' => array(
						'type' => 'select',
						// #t1668, 171206, dwildt, 1+
						'renderType' => 'selectSingle',
						'items' => array(
								'0' => array(
										'0' => '',
										'1' => '',
								),
								'1' => array(
										'0' => 'LLL:EXT:startgreen/Configuration/TCA/Overrides/pages.xlf:tx_startgreen_banner.none',
										'1' => 'none',
								),
								'2' => array(
										'0' => 'LLL:EXT:startgreen/Configuration/TCA/Overrides/pages.xlf:tx_startgreen_banner.small',
										'1' => 'small',
								),
								'3' => array(
										'0' => 'LLL:EXT:startgreen/Configuration/TCA/Overrides/pages.xlf:tx_startgreen_banner.medium',
										'1' => 'medium',
								),
								'4' => array(
										'0' => 'LLL:EXT:startgreen/Configuration/TCA/Overrides/pages.xlf:tx_startgreen_banner.high',
										'1' => 'high',
								),
						),
				)
		),
		'tx_startgreen_banner_right_nextlevel' => array(
				'exclude' => 0,
				'label' => 'LLL:EXT:startgreen/Configuration/TCA/Overrides/pages.xlf:tx_startgreen_banner_right_nextlevel',
				'config' => array(
						'type' => 'select',
						// #t1668, 171206, dwildt, 1+
						'renderType' => 'selectSingle',
						'items' => array(
								'0' => array(
										'0' => '',
										'1' => '',
								),
								'1' => array(
										'0' => 'LLL:EXT:startgreen/Configuration/TCA/Overrides/pages.xlf:tx_startgreen_banner.none',
										'1' => 'none',
								),
								'2' => array(
										'0' => 'LLL:EXT:startgreen/Configuration/TCA/Overrides/pages.xlf:tx_startgreen_banner.small',
										'1' => 'small',
								),
								'3' => array(
										'0' => 'LLL:EXT:startgreen/Configuration/TCA/Overrides/pages.xlf:tx_startgreen_banner.medium',
										'1' => 'medium',
								),
								'4' => array(
										'0' => 'LLL:EXT:startgreen/Configuration/TCA/Overrides/pages.xlf:tx_startgreen_banner.high',
										'1' => 'high',
								),
						),
				)
		),
		'tx_startgreen_css_background_listNum' => array(
				'exclude' => 0,
				'label' => 'LLL:EXT:startgreen/Configuration/TCA/Overrides/pages.xlf:tx_startgreen_css_background_listNum',
				'config' => array(
						'type' => 'select',
						'renderType' => 'selectSingle',
						'fieldWizard' => array(
								'selectIcons' => array(
										'disabled' => false,
								),
						),
						'items' => array(
								'0' => array(
										'0' => 'LLL:EXT:startgreen/Configuration/TCA/Overrides/pages.xlf:tx_startgreen_css_background_listNum.system',
										'1' => '0',
										'2' => 'EXT:startgreen/Resources/Public/Css/background/thumbs/green/system.jpg',
								),
								'1' => array(
										'0' => 'LLL:EXT:startgreen/Configuration/TCA/Overrides/pages.xlf:tx_startgreen_css_background_listNum.00_empty.jpg',
										'1' => '1',
										'2' => 'EXT:startgreen/Resources/Public/Css/background/thumbs/green/00_empty.jpg',
								),
								'2' => array(
										'0' => 'LLL:EXT:startgreen/Configuration/TCA/Overrides/pages.xlf:tx_startgreen_css_background_listNum.01_gruene_sunflower.jpg',
										'1' => '2',
										'2' => 'EXT:startgreen/Resources/Public/Css/background/thumbs/green/01_gruene_sunflower.jpg',
								),
//								'3' => array(
//										'0' => 'LLL:EXT:startgreen/Configuration/TCA/Overrides/pages.xlf:tx_startgreen_css_background_listNum.02_gruene_check.jpg',
//										'1' => '3', 
//										'2' => 'EXT:startgreen/Resources/Public/Css/background/thumbs/green/02_gruene_check.jpg',
//								),
//								'4' => array(
//										'0' => 'LLL:EXT:startgreen/Configuration/TCA/Overrides/pages.xlf:tx_startgreen_css_background_listNum.03_gruene_cloud.jpg',
//										'1' => '4',
//										'2' => 'EXT:startgreen/Resources/Public/Css/background/thumbs/green/03_gruene_cloud.jpg',
//								),
//								'5' => array(
//										'0' => 'LLL:EXT:startgreen/Configuration/TCA/Overrides/pages.xlf:tx_startgreen_css_background_listNum.04_gruene_email.jpg',
//										'1' => '5',
//										'2' => 'EXT:startgreen/Resources/Public/Css/background/thumbs/green/04_gruene_email.jpg',
//								),
//								'6' => array(
//										'0' => 'LLL:EXT:startgreen/Configuration/TCA/Overrides/pages.xlf:tx_startgreen_css_background_listNum.05_gruene_like.jpg',
//										'1' => '6',
//										'2' => 'EXT:startgreen/Resources/Public/Css/background/thumbs/green/05_gruene_like.jpg',
//								),
//								'7' => array(
//										'0' => 'LLL:EXT:startgreen/Configuration/TCA/Overrides/pages.xlf:tx_startgreen_css_background_listNum.06_gruene_reload.jpg',
//										'1' => '7',
//										'2' => 'EXT:startgreen/Resources/Public/Css/background/thumbs/green/06_gruene_reload.jpg',
//								),
								'8' => array(
										'0' => 'LLL:EXT:startgreen/Configuration/TCA/Overrides/pages.xlf:tx_startgreen_css_background_listNum.07_gruene_tablet_sunflower.jpg',
										'1' => '3',
										'2' => 'EXT:startgreen/Resources/Public/Css/background/thumbs/green/07_gruene_tablet_sunflower.jpg',
								),
//								'9' => array(
//										'0' => 'LLL:EXT:startgreen/Configuration/TCA/Overrides/pages.xlf:tx_startgreen_css_background_listNum.08_gruene_TYPO3.jpg',
//										'1' => '9',
//										'2' => 'EXT:startgreen/Resources/Public/Css/background/thumbs/green/08_gruene_TYPO3.jpg',
//								),
								'10' => array(
										'0' => 'LLL:EXT:startgreen/Configuration/TCA/Overrides/pages.xlf:tx_startgreen_css_background_listNum.09_gruene_TYPO3_sunflower.jpg',
										'1' => '4',
										'2' => 'EXT:startgreen/Resources/Public/Css/background/thumbs/green/09_gruene_TYPO3_sunflower.jpg',
								),
								'11' => array(
										'0' => 'LLL:EXT:startgreen/Configuration/TCA/Overrides/pages.xlf:tx_startgreen_css_background_listNum.10_gruene_TYPO3_tablet_sunflower.jpg',
										'1' => '5',
										'2' => 'EXT:startgreen/Resources/Public/Css/background/thumbs/green/10_gruene_TYPO3_tablet_sunflower.jpg',
								),
						),
				)
		),
		'tx_startgreen_ci_devision_label' => array(
				'exclude' => 0,
				'label' => 'LLL:EXT:startgreen/Configuration/TCA/Overrides/pages.xlf:tx_startgreen_ci_devision_label',
				'config' => array(
						'type' => 'input',
						'size' => '30',
						'max' => '128',
						'eval' => 'trim',
				)
		),
		'tx_startgreen_ci_devision_short' => array(
				'exclude' => 0,
				'label' => 'LLL:EXT:startgreen/Configuration/TCA/Overrides/pages.xlf:tx_startgreen_ci_devision_short',
				'config' => array(
						'type' => 'input',
						'size' => '30',
						'max' => '128',
						'eval' => 'trim',
				)
		),
);

ExtensionManagementUtility::addTCAcolumns(
				'pages'
				, $temporaryColumns
);

ExtensionManagementUtility::addFieldsToPalette(
				'pages'
				, 'tx_startgreen_palettebackground'
				, 'tx_startgreen_css_background_listNum'
				, ''
);

ExtensionManagementUtility::addFieldsToPalette(
				'pages'
				, 'tx_startgreen_palettebanner'
				, 'tx_startgreen_banner_left,tx_startgreen_banner_right'
				. ',--linebreak--'
				. ',tx_startgreen_banner_left_nextlevel,tx_startgreen_banner_right_nextlevel'
				, ''
);

ExtensionManagementUtility::addFieldsToPalette(
				'pages'
				, 'tx_startgreen_palettedevision'
				, 'tx_startgreen_ci_devision_label,tx_startgreen_ci_devision_short'
				, ''
);

ExtensionManagementUtility::addToAllTCAtypes(
				'pages'
				, ''
				. '--palette--;LLL:EXT:startgreen/Configuration/TCA/Overrides/pages.xlf:tx_startgreen_palettedevision;tx_startgreen_palettedevision,'
				. '--palette--;LLL:EXT:startgreen/Configuration/TCA/Overrides/pages.xlf:tx_startgreen_palettebackground;tx_startgreen_palettebackground,'
				. '--palette--;LLL:EXT:startgreen/Configuration/TCA/Overrides/pages.xlf:tx_startgreen_palettebanner;tx_startgreen_palettebanner,'
				, ''
				, 'after:tx_start_foundation_topbar_title'
);
